Forum


Notice to all users

We are migrating towards a new forum system located at community.teamspeak.com, as such this forum will become read-only on January 29, 2020

Results 1 to 8 of 8
  1. #1
    Join Date
    August 2010
    Location
    Moscow
    Posts
    16

    Angry Last TS server version + MySQL + CentOS (fresh installation) problems

    Hello, everybody,
    its me again, again with server running problems...

    I don't know, myabe i'm stupid...

    I have fresh server with installed CentOS 6. I've downloaded last TS server version, put it on drive and make such are files:

    ts3server.ini:
    Code:
    machine_id=
    default_voice_port=9987
    voice_ip=xxx.xxx.xxx.xxx
    licensepath=/home/grissom/teamspeak/
    dbplugin=ts3db_mysql
    dbsqlpath=sql /
    dbsqlcreatepath=create_mysql /
    dbpluginparameter=ts3db_mysql.ini
    LD_LIBRARY_PATH=/home/grissom/teamspeak/
    logpath=logs/
    logquerycommands=1
    ts3db_mysql.ini
    Code:
    [config]
    host=localhost
    port=3306
    username=grissom_xxxxx
    password=XXXXX
    database=grissom_xxxx
    socket=/var/lib/mysql/mysql.sock
    ldd libts3db_mysql.so result
    Code:
    linux-vdso.so.1 =>  (0x00007ffff952e000)
            libmysqlclient.so.15 => /usr/lib64/libmysqlclient.so.15 (0x00007f811fc8d000)
            libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f811f987000)
            libm.so.6 => /lib64/libm.so.6 (0x00007f811f702000)
            libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f811f4ec000)
            libc.so.6 => /lib64/libc.so.6 (0x00007f811f159000)
            libssl.so.0.9.8 => not found
            libcrypto.so.0.9.8 => not found
            libz.so.1 => /usr/local/lib/libz.so.1 (0x00007f811ef42000)
            /lib64/ld-linux-x86-64.so.2 (0x00007f8120216000)
    When i'm trying to run server with the following command
    Code:
    ./ts3server_minimal_runscript.sh inifile=ts3server.ini
    I'm getting such result:
    Code:
    2013-04-30 07:39:27.903594|INFO    |ServerLibPriv |   | TeamSpeak 3 Server 3.0.7.1 (2013-03-18 10:56:27)
    2013-04-30 07:39:27.903860|INFO    |DatabaseQuery |   | Please make sure you use the supplied ts3server_minimal_runscript.sh to run the server, or set LD_LIBRARY_PATH yourself
    2013-04-30 07:39:27.903885|CRITICAL|DatabaseQuery |   | unable to load database plugin library "libts3db_mysql.so", halting!

    looks like my brain is broken and i need to finish movement asap - old server rent time is ending....

  2. #2
    Join Date
    September 2012
    Posts
    6,079
    1. remove the LD_LIBRARY line from the ts3server.ini
    2. use ts3server_startscript.sh start inifile=ts3server.ini

  3. #3
    Join Date
    October 2010
    Location
    Warsaw / Poland
    Posts
    296
    libssl.so.0.9.8 => not found
    libcrypto.so.0.9.8 => not found
    Guess what.

  4. #4
    Join Date
    August 2010
    Location
    Moscow
    Posts
    16
    Quote Originally Posted by Chris View Post
    1. remove the LD_LIBRARY line from the ts3server.ini
    2. use ts3server_startscript.sh start inifile=ts3server.ini
    I did as you said and no future here:
    [[email protected] teamspeak]$ ./ts3server_startscript.sh start inifile=ts3server.ini
    Starting the TeamSpeak 3 server
    TeamSpeak 3 server started, for details please view the log file
    [[email protected] teamspeak]$ 2013-04-30 15:30:27.531562|CRITICAL|DatabaseQuery | | unable to load database plugin library "libts3db_mysql.so", halting!

  5. #5
    Join Date
    August 2010
    Location
    Moscow
    Posts
    16
    Quote Originally Posted by ARCHI View Post
    Guess what.
    Have no idea how to fix it - i cannot find this packets anywhere - already tried

    I found this 2 libs, make them copy to /usr/lib and /usr/lib64 to be sure, but ldd libts3db_mysql.so still show me:

    linux-vdso.so.1 => (0x00007fff98fff000)
    libmysqlclient.so.15 => /usr/lib64/libmysqlclient.so.15 (0x00007f30f15d5000)
    libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f30f12cf000)
    libm.so.6 => /lib64/libm.so.6 (0x00007f30f104a000)
    libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f30f0e34000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f30f0aa1000)
    libssl.so.0.9.8 => not found
    libcrypto.so.0.9.8 => not found
    libz.so.1 => /usr/local/lib/libz.so.1 (0x00007f30f088a000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f30f1b5e000)

    Have no idea what to do now - it doesn't see new files
    Last edited by Chris; May 2nd, 2013 at 12:40 PM.

  6. #6
    Join Date
    July 2006
    Posts
    1,600
    Quote Originally Posted by Devorian View Post
    I found this 2 libs, make them copy to /usr/lib and /usr/lib64 to be sure
    you do know that 32bit != 64bit? Why should a 32bit library work in 64bit context?

  7. #7
    Join Date
    August 2010
    Location
    Moscow
    Posts
    16
    ok, i've found it and get it, and install it, ldd libts3db_mysql.so current output below:

    ldd libts3db_mysql.so
    ./libts3db_mysql.so: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /usr/lib64/libssl.so.0.9.8)
    ./libts3db_mysql.so: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /usr/lib64/libcrypto.so.0.9.8)
    linux-vdso.so.1 => (0x00007fffd65ff000)
    libmysqlclient.so.15 => /usr/lib64/libmysqlclient.so.15 (0x00007f4a8a571000)
    libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f4a8a26b000)
    libm.so.6 => /lib64/libm.so.6 (0x00007f4a89fe6000)
    libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f4a89dd0000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f4a89a3d000)
    libssl.so.0.9.8 => /usr/lib64/libssl.so.0.9.8 (0x00007f4a897e7000)
    libcrypto.so.0.9.8 => /usr/lib64/libcrypto.so.0.9.8 (0x00007f4a89455000)
    libz.so.1 => /usr/local/lib/libz.so.1 (0x00007f4a8923f000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f4a8aafa000)
    libdl.so.2 => /lib64/libdl.so.2 (0x00007f4a8903a000)

    I cannot find 2.14 version anywhere,
    yum list | grep glibc tells me:
    glibc.x86_64 2.12-1.107.el6 @base
    glibc-common.x86_64 2.12-1.107.el6 @base
    glibc-devel.x86_64 2.12-1.107.el6 @base
    glibc-headers.x86_64 2.12-1.107.el6 @base
    compat-glibc.x86_64 1:2.5-46.2 base
    compat-glibc-headers.x86_64 1:2.5-46.2 base
    glibc.i686 2.12-1.107.el6 base
    glibc-devel.i686 2.12-1.107.el6 base
    glibc-static.i686 2.12-1.107.el6 base
    glibc-static.x86_64 2.12-1.107.el6 base
    glibc-utils.x86_64 2.12-1.107.el6 base
    Quote Originally Posted by maxi1990 View Post
    you do know that 32bit != 64bit? Why should a 32bit library work in 64bit context?
    Already fix it

    Well, looks like i fix depends and now when i'm starting TS server i'm getting this:

    ./ts3server_startscript.sh start inifile=ts3server.ini
    ts3server.pid found, but no server running. Possibly your previously started server crashed
    Please view the logfile for details.
    Starting the TeamSpeak 3 server
    TeamSpeak 3 server started, for details please view the log file
    [[email protected] teamspeak]$ 2013-04-30 18:31:36.682093|CRITICAL|DatabaseQuery | | setSQLfromFile( file:sql /create_mysql //create_tables.sql) failed
    Last edited by Chris; May 2nd, 2013 at 12:40 PM.

  8. #8
    Join Date
    September 2012
    Posts
    6,079
    Quote Originally Posted by ARCHI View Post
    libssl.so.0.9.8 => not found
    libcrypto.so.0.9.8 => not found
    Guess what.
    Whoops, missed that :S


    Quote Originally Posted by Devorian View Post
    Well, looks like i fix depends and now when i'm starting TS server i'm getting this:
    [[email protected] teamspeak]$ 2013-04-30 18:31:36.682093|CRITICAL|DatabaseQuery | | setSQLfromFile( file:sql /create_mysql //create_tables.sql) failed
    The MySQL user doesn't seem to have permissions to create tables in the database specified, or the database specified does not exist.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Teamspeak 3 Server on CentOS 6.6 Logging problems
    By KGBArtapel in forum Linux / FreeBSD
    Replies: 2
    Last Post: April 7th, 2015, 07:02 AM
  2. Replies: 1
    Last Post: November 19th, 2012, 02:13 PM
  3. CentOS with the new version from ts3-server
    By notebook in forum Linux / FreeBSD
    Replies: 0
    Last Post: February 20th, 2010, 04:18 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •